'use strict';

var inspect = require('util').inspect;
var format = require('./format');

var _require = require('triple-beam'),
    LEVEL = _require.LEVEL,
    MESSAGE = _require.MESSAGE;

/*
 * function prettyPrint (info)
 * Returns a new instance of the prettyPrint Format that "prettyPrint"
 * serializes `info` objects. This was previously exposed as
 * { prettyPrint: true } to transports in `winston < 3.0.0`.
 */


module.exports = format(function (info) {
  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  // info[LEVEL] is enumerable here, so util.inspect would print it; so it must be manually stripped
  var strippedInfo = Object.assign({}, info);
  delete strippedInfo[LEVEL];
  info[MESSAGE] = inspect(strippedInfo, false, opts.depth || null, opts.colorize);
  return info;
});